{ config, pkgs, lib, ... }:

{
  # add central logging
  services.journalbeat = {
    enable = false;
    extraConfig = ''
      journalbeat.inputs:
        # Paths that should be crawled and fetched. Possible values files and directories.
        # When setting a directory, all journals under it are merged.
        # When empty starts to read from local journal.
      - paths: []

      journalbeat:
        seek_position: cursor
        cursor_seek_fallback: tail
        write_cursor_state: true
        cursor_flush_period: 5s
        clean_field_names: true
        convert_to_numbers: false
        move_metadata_to_field: journal
        default_type: journal
        kernel: true
      output.logstash:
        # Boolean flag to enable or disable the output module.
        enabled: true
        hosts: ["${config.c3d2.hosts.logging.ip4}:5044"]
    '';
  };

  services.prometheus.exporters.node = lib.mkIf (pkgs.system != "riscv64-linux") {
    enable = true;
    openFirewall = true;
  };
}
